apiVersion: v1
kind: Pod
metadata:
  name: "metrics-sh-test"
  annotations:
    helm.sh/hook: test-success
spec:
  serviceAccountName: testing-account
  containers:
    - name: test
      image: ghcr.io/utopia-planitia/helm-tests-image:latest@sha256:5b4e0785c66a5a3fa589d3f35e21a075f59704274459a9ac051b37680258bc7e
      command:
        - bash
        - metrics.sh
      volumeMounts:
        - name: test-scripts
          mountPath: "/tests"
          readOnly: true
  volumes:
    - name: test-scripts
      secret:
        secretName: "helmfile-test-scripts"
  restartPolicy: Never
